Bug 2007809 - notejot-3.1.6 is available
Summary: notejot-3.1.6 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: notejot
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-25 02:08 UTC by Upstream Release Monitoring
Modified: 2021-10-29 23:02 UTC (History)
1 user (show)

Fixed In Version: notejot-3.1.6-1.fc36 notejot-3.2.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-09 16:29:23 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2021-09-25 02:08:42 UTC
Latest upstream release: 3.1.6
Current version/release in rawhide: 3.1.5-1.fc36
URL: https://github.com/lainsce/notejot

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/16875/

Comment 1 Ben Beasley 2021-09-25 13:16:09 UTC
This release uses bleeding-edge libadwaita features that are not even in the current 1.0.0-alpha.2 pre-release.

> valac -C --target-glib=2.40 --pkg json-glib-1.0 --pkg gmodule-2.0 --pkg libadwaita-1 --pkg gee-0.8 --pkg gobject-2.0 --pkg glib-2.0 --pkg gtk4 --pkg gio-2.0 --color=always --directory io.github.lainsce.Notejot.p --basedir ../ --gresources=../data/app.gresource.xml /builddir/build/BUILD/notejot-3.1.6/src/Config.vapi ../src/Application.vala ../src/MainWindow.vala ../src/Settings.vala ../src/Format.vala ../src/Services/TaskManager.vala ../src/Services/Utils.vala ../src/Views/ListView.vala ../src/Views/TrashView.vala ../src/Widgets/FormatBar.vala ../src/Widgets/HeaderBarButton.vala ../src/Widgets/SettingMenu.vala ../src/Widgets/Note.vala ../src/Widgets/NoteMenuPopover.vala ../src/Widgets/TrashedItem.vala ../src/Widgets/TextField.vala ../src/Widgets/EditNotebookDialog.vala ../src/Widgets/MoveToDialog.vala
> ../src/MainWindow.vala:171.25-171.40: error: The name `StyleManager' does not exist in the context of `Adw' (libadwaita-1)
>             var adwsm = Adw.StyleManager.get_default ();
>                         ^^^^^^^^^^^^^^^^
> Compilation failed: 1 error(s), 0 warning(s)

That class was added to libadwaita one month ago.

When libadwaita tags a new pre-release (and the Fedora package is updated, which I expect will happen quickly), then this version of notejot can be packaged.

Comment 2 Ben Beasley 2021-10-09 16:21:21 UTC
Since libadwaita alpha 3 is available, I can proceed in Rawhide/F36 and in F35.

Comment 3 Fedora Update System 2021-10-09 16:26:53 UTC
FEDORA-2021-1672f103f4 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1672f103f4

Comment 4 Fedora Update System 2021-10-09 16:29:23 UTC
FEDORA-2021-1672f103f4 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-10-10 12:50:54 UTC
FEDORA-2021-11fb8b7c55 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-11fb8b7c55

Comment 6 Fedora Update System 2021-10-10 17:41:20 UTC
FEDORA-2021-11fb8b7c55 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-11fb8b7c55`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-11fb8b7c55

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-10-16 14:27:18 UTC
FEDORA-2021-11fb8b7c55 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-11fb8b7c55

Comment 8 Fedora Update System 2021-10-16 16:48:57 UTC
FEDORA-2021-11fb8b7c55 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-11fb8b7c55`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-11fb8b7c55

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-10-29 23:02:38 UTC
FEDORA-2021-11fb8b7c55 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.